[Overview][Resource strings][Types][Classes][Index] | Reference for unit 'eventlog' (#fcl)

# TLogCodeEvent

Callback type to retrieve custom event codes

## Declaration

Source position: eventlog.pp line 27

`type TLogCodeEvent = procedure(`
`Sender: TObject;`
`var Code: DWord`
`) of object;`

## Arguments

`Sender` |  | TEventLog instance that triggered the event
`Code` |  | Code to return

## Description

TLogCodeEvent is the event type for the OnGetCustomEvent and OnGetCustomEventID event handlers. It should return a OS system log code for the etCustom log event or event ID type in the Code parameter.

## See also

TEventLog.OnGetCustomEvent |  | Event to retrieve custom event Code
TEventLog.OnGetCustomEventID |  | Event to retrieve custom event ID
TLogCategoryEvent |  | Callback type to return custom category code

The latest version of this document can be found at lazarus-ccr.sourceforge.net .